normalizeYP {bimets} | R Documentation

## Normalize Year-Period Array

### Description

This function normalizes a numerical array `c(YEAR,PERIOD)`, given a frequency `f` and `PERIOD>=f`.
e.g. `normalizeYP(c(2000,15),12) = c(2001,3)`

### Usage

    normalizeYP(x = NULL, f = NULL)

### Arguments

`x` | Input numerical array `c(YEAR,PERIOD)`
`f` | Frequency of normalization. Must be a positive integer.

### Value

This function returns a numerical array `c(YEAR,PERIOD)`

### See Also

`NUMPERIOD`
`frequency`

### Examples

    	#c(2,13) and frequency=4 => c(5,1)
    	print(normalizeYP(c(2,13),4));

[Package bimets version 1.4.0 Index]